Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454121 - static lib should be in a separate -static subpackage
Summary: static lib should be in a separate -static subpackage
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ruby
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeroen van Meeuwen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-04 21:20 UTC by Patrice Dumas
Modified: 2010-01-22 07:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-22 07:51:52 UTC


Attachments (Terms of Use)

Description Patrice Dumas 2008-07-04 21:20:24 UTC
Description of problem:

The static library should be in a ruby-static subpackage.
In my opinion it could be called libruby.a (maybe with a
link to libruby-static.a for backward compatibility)
This package should 
Provides: ruby-libs-static = %{version}-%{release}
if you want to be backward compatible.
 
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Akira TAGOH 2008-07-07 00:48:11 UTC
See Bug#428384. -devel package requires the static library to get it working
anyway. I don't think having separate package for the static library does help
something really in this case.

Comment 2 Patrice Dumas 2008-07-08 12:12:18 UTC
I have seen where the static lib is put in the link, but is the static
lib really needed to link against libruby?

Comment 3 Tony Fu 2008-09-10 03:11:05 UTC
requested by Jens Petersen (#27995)

Comment 4 Fedora Admin XMLRPC Client 2009-01-30 12:44:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Mamoru TASAKA 2010-01-22 07:51:52 UTC
This is already fixed (see comments in bug 428384)


Note You need to log in before you can comment on or make changes to this bug.